#
# spec file for package prcs (Version 1.2.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake emacs emacs-el emacs-x11 gpp libgpp xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-el emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         prcs
Copyright:    GPL
Group:        Development/Version Control 
Requires:     rcs
Autoreqprov:  on
Version:      1.2.16
Release:      39
Summary:      Project Revision Control System
URL:          http://prcs.sourceforge.net/
Source:       prcs-%{version}.tar.bz2
Patch:        prcs-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
The Project Revision Control System, PRCS, is the front end to a set
of tools that (like CVS) provide a way to deal with sets of files and
directories as an entity, preserving coherent versions of the entire
set.

Authors:
--------
    Josh MacDonald

SuSE series: d

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--mandir=%{_mandir} --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO
/usr/bin/
%doc %{_infodir}/
%doc %{_mandir}/man1/
/usr/share/emacs/site-lisp/*

%changelog -n prcs
* Tue Aug 14 2001 - pmladek@suse.cz
- updated to version 1.2.16
- cleaned up spec file
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 12 2001 - pblaha@suse.cz
- add URL tag
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 and deps
* Sun Dec 10 2000 - schwab@suse.de
- Fix conflicting declaration.
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Wed Jul 05 2000 - ro@suse.de
- don't pack /usr/info/dir
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri Mar 24 2000 - bubnikv@suse.cz
- added buildroot
* Tue Feb 01 2000 - ro@suse.de
- update to 1.2.15 to make it compile
- info,man to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - ro@suse.de
- added ge_exec to neededforbuild
* Fri Aug 27 1999 - fehr@suse.de
- update to 1.2.14
* Thu Oct 29 1998 - ro@suse.de
- update to 1.2.10 using florian's dif
* Fri Oct 10 1997 - florian@suse.de
- update to version 1.2.0
* Sat Jun 07 1997 - florian@suse.de
- first version of prcs 1.1.1 for S.u.S.E.
